import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  paymentGroupId: SortOrderSchema.optional()
}).strict();
export const SeleniumSettingsMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.SeleniumSettingsMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.SeleniumSettingsMinOrderByAggregateInput>;
export const SeleniumSettingsMinOrderByAggregateInputObjectZodSchema = makeSchema();
